<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>TIML: timlCNNInputParams Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIML
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">timlCNNInputParams Struct Reference<div class="ingroups"><a class="el" href="group__cnn.html">cnn</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a619d75bbf2e1da75cbfb9033174e13c3"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNInputParams.html#a619d75bbf2e1da75cbfb9033174e13c3">row</a></td></tr>
<tr class="separator:a619d75bbf2e1da75cbfb9033174e13c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86376cd441d9f3a2c1d041282b0ba330"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNInputParams.html#a86376cd441d9f3a2c1d041282b0ba330">col</a></td></tr>
<tr class="separator:a86376cd441d9f3a2c1d041282b0ba330"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4eab5767395e0c043b677bad2bbc4562"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNInputParams.html#a4eab5767395e0c043b677bad2bbc4562">channel</a></td></tr>
<tr class="separator:a4eab5767395e0c043b677bad2bbc4562"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ef62950f27f476170744c50d18daade"><td class="memItemLeft" align="right" valign="top">int *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNInputParams.html#a4ef62950f27f476170744c50d18daade">channelPermute</a></td></tr>
<tr class="separator:a4ef62950f27f476170744c50d18daade"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39d74a3a7382c1b82ea64aa4289adbe3"><td class="memItemLeft" align="right" valign="top">float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNInputParams.html#a39d74a3a7382c1b82ea64aa4289adbe3">mean</a></td></tr>
<tr class="separator:a39d74a3a7382c1b82ea64aa4289adbe3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab70e0b5f171607dc00819fa6cc5ffed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab70e0b5f171607dc00819fa6cc5ffed"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>scale</b></td></tr>
<tr class="separator:aab70e0b5f171607dc00819fa6cc5ffed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a328c3b7039e84745735ff88e04945f"><td class="memItemLeft" align="right" valign="top">float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNInputParams.html#a8a328c3b7039e84745735ff88e04945f">inputData</a></td></tr>
<tr class="separator:a8a328c3b7039e84745735ff88e04945f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a759dc7996529a7340027f66e68769305"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a759dc7996529a7340027f66e68769305"></a>
<a class="el" href="group__util.html#ga898df2504b88d834c373082f2aa9f537">timlUtilCropType</a>&#160;</td><td class="memItemRight" valign="bottom"><b>trainingCropType</b></td></tr>
<tr class="separator:a759dc7996529a7340027f66e68769305"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a421b681ebbafa4f6fc36a8e556cd97fb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a421b681ebbafa4f6fc36a8e556cd97fb"></a>
<a class="el" href="group__util.html#ga5405b012e02035f4d864e0e38d516764">timlUtilMirrorType</a>&#160;</td><td class="memItemRight" valign="bottom"><b>trainingMirrorType</b></td></tr>
<tr class="separator:a421b681ebbafa4f6fc36a8e556cd97fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76cbcb4b7950f7fa22e087ea1c12f874"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a76cbcb4b7950f7fa22e087ea1c12f874"></a>
<a class="el" href="group__util.html#ga898df2504b88d834c373082f2aa9f537">timlUtilCropType</a>&#160;</td><td class="memItemRight" valign="bottom"><b>testingCropType</b></td></tr>
<tr class="separator:a76cbcb4b7950f7fa22e087ea1c12f874"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bb6a4b3960ec7e19c21b7fdf0b5eee4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9bb6a4b3960ec7e19c21b7fdf0b5eee4"></a>
<a class="el" href="group__util.html#ga5405b012e02035f4d864e0e38d516764">timlUtilMirrorType</a>&#160;</td><td class="memItemRight" valign="bottom"><b>testingMirrorType</b></td></tr>
<tr class="separator:a9bb6a4b3960ec7e19c21b7fdf0b5eee4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a903f1cd3c732a0a9420937bf278ee6d0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNInputParams.html#a903f1cd3c732a0a9420937bf278ee6d0">shared</a></td></tr>
<tr class="separator:a903f1cd3c732a0a9420937bf278ee6d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a4eab5767395e0c043b677bad2bbc4562"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int timlCNNInputParams::channel</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>raw data channel size </p>

</div>
</div>
<a class="anchor" id="a4ef62950f27f476170744c50d18daade"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int* timlCNNInputParams::channelPermute</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>channel permutation order </p>

</div>
</div>
<a class="anchor" id="a86376cd441d9f3a2c1d041282b0ba330"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int timlCNNInputParams::col</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>raw data col size </p>

</div>
</div>
<a class="anchor" id="a8a328c3b7039e84745735ff88e04945f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float* timlCNNInputParams::inputData</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>raw data </p>

</div>
</div>
<a class="anchor" id="a39d74a3a7382c1b82ea64aa4289adbe3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float* timlCNNInputParams::mean</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>mean of the raw data </p>

</div>
</div>
<a class="anchor" id="a619d75bbf2e1da75cbfb9033174e13c3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int timlCNNInputParams::row</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>raw data row size </p>

</div>
</div>
<a class="anchor" id="a903f1cd3c732a0a9420937bf278ee6d0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool timlCNNInputParams::shared</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>if this layer shares the same mean with some other layer </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="timlCNN_8h_source.html">timlCNN.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Mar 20 2015 11:26:08 for TIML by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
